Subject: Cemacs

From: Stephen G Simpson <[email-masked]>
Date: Wed, 10 Nov 1993 09:12:15 -0500

Tianwei Xie writes:
 > I tried to use emacs to edit something in Chinese and I use KC. But it
 > didn't work. I remember that somebody mentioned cemacs. Can anybody give a
 > hint?
 > Tianwei Xie
 > UC Davis

It sounds as though you are using some version of Emacs under DOS.
Which version are you using?  Are you using Freemacs, Demacs, Oemacs,
the DOS version of Mule, or what?

I find that I can more or less use Freemacs under KC to edit Chinese
files.  It doesn't work well, because Freemacs is not entirely 8-bit
clean, but it works to some extent.  I don't know whether there is a
way to make Freemacs completely 8-bit clean.  I haven't tried Demacs,
Oemacs, or Mule on DOS.  Mule should work very well because it was
designed to handle languages like Chinese and Japanese.

As for Cemacs, I know all about it because I am its author!  Cemacs is
some software which enables GNU Emacs to edit Chinese.  I have tested
Cemacs only on Unix systems.  I know that Cemacs works with GNU Emacs
under Cxterm.  I have also used Cemacs successfully under KC using my
PC as a terminal on a Unix system running GNU Emacs.  It may be
possible to use Cemacs with some version of GNU Emacs under DOS, say
Demacs or Oemacs, but I haven't tested it.

You can get Cemacs at math.psu.edu:/pub/simpson/chinese/cemacs.tar.Z.

Incidentally, some news: I have ported my CCHELP package to work with
Cemacs under GNU Emacs Release 19 (not Release 18).  Previously CCHELP
worked only under Mule.

-- Steve

Stephen G. Simpson
Department of Mathematics, Pennsylvania State University
333 McAllister Building, University Park, State College, PA 16802
Office phone: +1 814 863-0775      Internet: [email-masked]
Home phone: +1 814 238-2274        Bitnet: T20 AT PSUVM
FAX: +1 814 865-3735